/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/



/* general design */
p:last-child{
	margin-bottom: 0 !important;
}
/* remove transition for objects with the class 'parallax' */
.parallax {
    transition: none !important;
}
/* half section size image */
.gettoknowus-wrapper:after,
.whatwedo-wrapper:after,
.cta-wrapper:after,
.aboutus-wrapper:after,
.aboutcompany-wrapper:after,
.healthsafety-wrapper:after{
    content: "";
    position: absolute;
    width: 50%;
    height: 100%;
    top: 0;
    background-size: cover !important;
}



/* header */
.header-menu a:after{
    bottom: 5px !important;
    left: 0 !important;
    width: 0 !important;
    transition: ease-out 0.3s !important;
} 
.header-menu a:hover:after,
.header-menu .current-menu-item a:after{
    width: 100% !important;
}
.header-menu .current-menu-item a{
    font-weight: 700 !important;
}
.header-menu .contact-btn a:after{
	display: none !important;
}
.header-logo img,
.elementor-sticky > .e-con-inner{
    transition: ease-out 0.3s;
}
@media(min-width: 1025px){
	.header-menu .contact-btn a{
		border: 2px solid #2c3d79;
		color: #2c3d79 !important;
		border-radius: 5px;
		padding: 10px 24px !important;
		margin-top: -4px !important;
		margin-bottom: -4px !important;
	}
	.header-menu .contact-btn a:hover{
		background: var(--e-global-color-secondary);
		border-color: var(--e-global-color-secondary);
		color: #fff !important;
	}
}
/* sticky header */
.elementor-sticky--effects{
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
.elementor-sticky--effects > .e-con-inner{
    padding-top: 0 !important;
    padding-bottom: 0 !important
}
.elementor-sticky--effects .header-logo img{
    width: 85px !important;
}



/* home design */
/* get to know us */
.gettoknowus-wrapper:after{
    right: 0;
    background: url('/wp-content/uploads/2025/04/GetToKnowUs-Image.jpg') no-repeat center;
}
/* what we do */
.whatwedo-wrapper:after{
    left: 0;
    background: url('/wp-content/uploads/2025/05/WhatWeDo-Image.jpg') no-repeat center;
}
/* timeline */
.timeline-content .elementor-image-box-img{
    max-width: 50px;
    min-width: 50px;
}
/* cta */
.cta-wrapper:after{
    width: 52%;
    left: 0;
    background: url('/wp-content/uploads/2025/04/Overlay.png') no-repeat center right;
}
/* client slider */
@keyframes slide {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-100%);
    }
}

.client-slider{
	display: inline-flex;
    overflow: hidden;
}
.client-list{
	display: flex;
	align-items: center;
	transition: none !important;
	width: 1800px;
}
.client-list div{
    width: 300px;
	padding: 0 40px;
	text-align: center;
}
.client-list.animate-list{
	animation: 35s slide infinite 0s linear;
}



/* about page */
.aboutus-wrapper:after{
    right: 0;
    background: url('/wp-content/uploads/2025/04/About-Image.jpg') no-repeat center right;
}
.aboutcompany-wrapper:after{
	left: 0;
    background: url('/wp-content/uploads/2025/05/About-Image-2.jpg') no-repeat center center;
}
.team-image{
	max-width: 220px !important;
	width: 100% !important;
	margin: 0 auto !important;
}
.team-image:before,
.team-image:after{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 3px solid var(--e-global-color-secondary);
    opacity: 0;
    visibility: hidden;
    transition: ease-out 0.3s;
    border-radius: 5px;
}
.team-image:before{
    top: 0;
    left: 0;
    border-right-color: transparent;
    border-bottom-color: transparent;
}
.team-image:after{
    bottom: 0;
    right: 0;
    border-left-color: transparent;
    border-top-color: transparent;
}
.team-item:hover .team-image:before,
.team-item:hover .team-image:after{
    opacity: 1;
    visibility: visible;
    width: 100%;
    height: 100%;
}
.team-image img{
    transition: ease-out 0.3s;
}
.team-item:hover .team-image img{
    transform: scale(0.93);
}



/* health and safety page */
.healthsafety-wrapper:after{
	left: 0;
    background: url('/wp-content/uploads/2025/05/HealthandSafety-Image.jpg') no-repeat center right;
}



/* contact page */
.contact-info .elementor-icon-list-text{
    transition: ease-out 0.3s !important;
}
.contact-info a:hover .elementor-icon-list-text{
    opacity: 0.65;
}
/* contact form */
.contact-form .gfield .gfield_label{
    font-weight: 500;
    margin: 0;
    font-size: 16px;
	color: var(--e-global-color-text) !important;
}
.contact-form .gfield_required{
    font-size: inherit !important;
    font-style: normal !important;
    text-transform: lowercase !important;
    color: inherit !important;
}
.contact-form .gfield input,
.contact-form .gfield textarea{
    border-radius: 5px;
    padding: 10px 15px !important;
    line-height: 1.5 !important;
    outline: none !important;
    font-size: 16px !important;
	border-color: #aaa;
}
.contact-form .gfield input{
    height: auto !important;
}
.contact-form .gfield textarea{
    resize: none;
    height: 136px !important;
    display: block;
}
.contact-form .gfield input:focus,
.contact-form .gfield textarea:focus{
    border-color: var( --e-global-color-accent );
}
.contact-form .gform_footer{
    padding: 0 !important;
    margin-top: 20px !important;
}
.contact-form .gform_button{
    padding: 14px 40px 14px 40px !important;
    border: none !important;
    line-height: 1 !important;
	margin: 0 !important;
}
.contact-form .gform_validation_errors{
    margin: 0 0 20px !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}
.contact-form .gform_validation_errors h2{
    font-family: "Roboto", sans-serif !important;
    font-weight: 600 !important;
}
.contact-form .validation_message{
    font-size: 12px !important;
    padding: 0 !important;
    border: none !important;
    background: none !important;
    line-height: 1 !important;
    font-style: italic;
}



/* careers page */
.contact-form .gfield.resume-field input{
    padding: 0 !important;
    border-radius: 0 !important;
    margin-top: 5px;
}
.contact-form .gform_fileupload_rules{
    margin: 0 !important;
	padding: 0 !important;
	color: var(--e-global-color-text) !important;
}
.position-info{
    max-width: 265px;
}



/* footer */
.footer-menu a{
    width: fit-content;
}
.footer-menu a:after{
    content: "";
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 0;
    height: 1px;
    background: #fff !important;
    transition: ease-out 0.3s;
} 
.footer-menu a:hover:after,
.footer-menu .current-menu-item a:after{
    width: 100%;
}
.connect-btn i{
    font-size: 24px;
    margin: -3px 0;
}
.scrollTop{
    opacity: 0;
    visibility: hidden;
    transition: ease-out 0.3s;
}
.scrollTop.show{
    opacity: 1;
    visibility: visible;
}



/* MOBILE RESPONSIVENESS */
@media(max-width: 1024px){
	.elementor-location-header .elementor-sticky--effects .header-menu.elementor-nav-menu--toggle .elementor-nav-menu__container.elementor-nav-menu--dropdown{
		margin-top: 22px !important;
	}
	.home-banner.parallax{
		background-attachment: initial !important;
		background-position: center center !important;
	}
	.client-list{
		width: 1200px;
	}
	.client-list div{
		width: 200px;
		padding: 0 30px;
		margin: -15px 0
	}
	.client-list div img{
		transform: scale(0.8)
	}
	.client-list.animate-list{
		animation-duration: 30s;
	}
	.cta-wrapper:after{
		width: 65%;
	}
	.aboutcompany-wrapper:after{
		background-position: center center;
	}
	.contact-form .gfield.gfield--width-half{
		grid-column: span 12 !important;
	}
	.contact-form .gform_button{
		font-size: 16px !important;
		padding: 12px 30px 12px 30px !important;
	}
	.footer-menu a:after{
		bottom: 8px;
	}
	.connect-btn i{
		font-size: 20px;
	}
}

@media(max-width: 767px){
	.gettoknowus-wrapper:after,
	.whatwedo-wrapper:after,
	.aboutus-wrapper:after,
	.cta-wrapper:after,
	.aboutcompany-wrapper:after,
	.healthsafety-wrapper:after{
		display: none;
	}
	.elementor-sticky--effects .header-logo img{
		width: 65px !important;
	}
	.elementor-location-header .elementor-sticky--effects .header-menu.elementor-nav-menu--toggle .elementor-nav-menu__container.elementor-nav-menu--dropdown{
		margin-top: 14px !important;
	}
	.client-list{
		width: 900px;
	}
	.client-list div{
		width: 150px;
		padding: 0 20px;
	}
	.client-list div img{
		transform: scale(0.7);
	}
	.client-list.animate-list{
		animation-duration: 25s;
	}
	.contact-form .gform_fields{
		row-gap: 10px !important;
	}
	.contact-form .gfield .gfield_label{
		font-size: 14px;
	}
	.contact-form .gfield input,
	.contact-form .gfield textarea{
		padding: 8px 12px !important;
		font-size: 14px !important;
	}
	.contact-form .gfield textarea{
		height: 124px !important;
	}
	.contact-form .gform_button{
		font-size: 14px !important;
		padding: 10px 25px 10px 24px !important;
	}
	.contact-form .gform_validation_errors{
    	margin: 0 0 15px !important;
	}
	.contact-form .gform_fileupload_rules{
		font-size: 13px !important;
	}
	.footer-menu a:after{
		bottom: 4px;
	}
	.connect-btn i{
		font-size: 18px;
		margin: -4px 0;
	}
}